<!doctype html>
<html lang="en" xmlns:th="https://www.thymeleaf.org/">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../../../favicon.ico">

    <title>Edit Client</title>

    <!-- Bootstrap core CSS -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="form-validation.css" rel="stylesheet">
  </head>

  <body class="bg-light">

    <div class="container">
      <div class="py-5 text-center">
        <h2>Edit Client</h2>
      </div>

      <div class="row">
        <div class="col-md-12 order-md-1">
          <form class="needs-validation" novalidate th:action="@{/updateClient(id=${client.id})}" method="POST" th:object="${client}">
            
            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="firstName">First name</label>
                <input type="text" class="form-control" id="firstName" name="firstName" placeholder="" th:field="*{firstName}">
                <div class="error" th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}"></div>
              </div>
              <div class="col-md-6 mb-3">
                <label for="lastName">Last name</label>
                <input type="text" class="form-control" id="lastName" name="lastName" placeholder="" th:field="*{lastName}">
                <div class="error" th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}"></div>
              </div>
            </div>

            <div class="mb-3">
              <label for="username">Username</label>
              <div class="input-group">
                <input type="text" class="form-control" id="username" name="username" placeholder="Username" th:field="*{username}">
              </div>
              <div class="error" th:if="${#fields.hasErrors('username')}" th:errors="*{username}"></div>
            </div>

            <div class="mb-3">
              <label for="email">Email <span class="text-muted">(Optional)</span></label>
              <input type="email" class="form-control" id="email" name="email" placeholder="you@example.com" th:field="*{email}">

            </div>

            <div class="mb-3">
              <label for="address">Address</label>
              <input type="text" class="form-control" id="address" name="address" placeholder="1234 Main St" th:field="*{address}">
              <div class="error" th:if="${#fields.hasErrors('address')}" th:errors="*{address}"></div>
            </div>

            <div class="mb-3">
              <label for="country">Country</label>
                <select class="custom-select d-block w-100" id="country" name="country" th:field="*{country}">
                  <option value="">Choose...</option>
                  <option th:each="country : ${countries}" th:value="${country.id}" th:text="${country.name}"></option>
                </select>
                <div class="error" th:if="${#fields.hasErrors('country')}" th:errors="*{country}"></div>
            </div>
            <hr class="mb-4">
			
			<button class="btn btn-primary btn-lg btn-block" type="submit">Save Client</button>
          </form>
        </div>
      </div>

      <footer class="my-5 pt-5 text-muted text-center text-small">
        <p class="mb-1">&copy; 2018 Company Name</p>
      </footer>
    </div>
  </body>
</html>
